Subject: bug#10237: AM_SILENT_RULES does not work with NonStop make

From: Eric Blake <[email-masked]>
Date: Tue, 06 Dec 2011 20:33:22 -0700

On 12/06/2011 08:20 PM, Daniel Richard G. wrote:
>> I wanted a solution that worked
>> on any POSIX platform -- POSIX 2008 says that
>> $(aaa${bbb}) is just as unspecified as
>> $(aaa$(bbb)) is, and I wanted to play it safe.
>>
> As I see it, the only real way to play it safe here, per POSIX, is to
> forgo the use of nested variables altogether.

Exactly.  Hence the proposal for a configure-time check, which expands
to the extension where the extension was tested to work, and which
expands to an innocuous variant that avoids nested variables where the
test fails.

-- 
Eric Blake   [email-masked]    +1-919-301-3266
Libvirt virtualization library http://libvirt.org